Bug 129512 - kudzu should offer to mkinitrd kernels when new devices are found
kudzu should offer to mkinitrd kernels when new devices are found
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-09 16:48 EDT by Need Real Name
Modified: 2014-03-16 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 17:14:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-08-09 16:48:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
While kudzu will recognize new hardware added to a pc which
already has an existing Fedora Core 2 installation, it doesn't
offer to mkinitrd the installed kernels to make the new drivers
load automatically at boot time. This makes adding new hardware
to Fedora unnecessarily complex. It would be very helpful if
when kudzu identifies new hardware and adds a modprobe.conf 
line to load the driver, that it would offer to mkinitrd
all or selected installed kernels to allow the needed driver
to load automatically at boot time.

Version-Release number of selected component (if applicable):
1.1.68-1

How reproducible:
Always

Steps to Reproduce:
1. On a pc without scsi cards, install Fedora Core 2, reboot and shutdown
2. Install a scsi pci card and reboot
3. when kudzu finds the new scsi pci card, allow kudzu to 
configure it (note the driver in the line added to 
/etc/modprobe.conf
4. reboot, login again and execute 'lsmod' to see if the
newly added driver is being automatically loaded
    

Actual Results:  The driver added in the line added to /etc/modprobe.conf
isn't automatically loaded because it isn't in the initrd
of the installed kernels.

Expected Results:  Kudzu should at least alert the user that they need
to mkinitrd
the installed kernels so the driver added will actually load on
booting the machine. Alternatively, kudzu could offer to 
do a mkinitrd on selected or all installed kernels so that the
new driver is made available automatically.

Additional info:
Comment 1 Matthew Miller 2005-04-26 12:23:53 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Bill Nottingham 2005-09-23 17:14:22 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

Note that as of mkinitrd-4.2.22-1, mkinitrd will automatically find storage
adapters for relevant root devices. This eliminates the need for a kudzu change.

Note You need to log in before you can comment on or make changes to this bug.